Folks.IndividualAggregator.look_up_individual – folks Reference Manual

# look_up_individual

## Description:

public async Individual? look_up_individual (string id) throws Error

Look up an individual in the aggregator.

This returns the Individual with the given `id` if it exists in the aggregator, and `null` otherwise.

In future, when lazy-loading of individuals' properties is added to folks, this method guarantees to load all properties of the individual, even if the aggregator hasn't lazy-loaded anything else.

This method is safe to call before IndividualAggregator.prepare has been called, and will call IndividualAggregator.prepare itself in that case.

This method is safe to call multiple times concurrently.

## Parameters:

id | ID of the individual to look up

## Returns:

individual with `id`, or `null` if no such individual was found

## Exceptions:

GLib.Error | from IndividualAggregator.prepare

## Since:

0.7.0